1 Reply Latest reply: Oct 9, 2012 10:22 PM by John Galt
Alis56 Level 1 Level 1 (0 points)

Help, please. I'm receiving the message constantly that websites don't support the browser I'm using. I've tried to upgrade both Safari and Firefox, and those upgrades won't work with my OS X 10.5.5. I know I have to upgrade that, but how? Do I need to upgrade sequentially -- i.e., through each variation all the way up to Mountain Lion or can I just go straight to the latest? I'm guessing I need to buy that OS, but want to make sure I get the right one and that it will work on my MacBook (the one with the Intel Core). Can someone offer any guidance? With many thanks...


MacBook, Mac OS X (10.5.5)